
C LAST UPDATE:
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*************************
C**     LSM_NORM_RANGE  **
C*************************
C
C **** LSM SERVICE ROUTINE ONLY ****
C 
      INTEGER FUNCTION LSM_NORM_RANGE (ALAM)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose:  Return the wavelength normalisation range no. (0 if not within
C           a range)
C
C Author:  Steffi Arzt, John Campbell, July 1997
C
C Arguments:
C
      REAL ALAM 
C
C Parameters:
C
C ALAM    (R)   The wavelength    
C
C====== PARAMETERS:
C
      INCLUDE 'limits.finc'
C
C====== GLOBALS:
C
      INCLUDE 'scp.finc'
      INCLUDE 'other_scale.finc'
C
C====== FUNCTION TYPES:
C

C
C====== LOCALS:
C
      INTEGER I
C
C-------------------------------------------------------------------------------
C 
      LSM_NORM_RANGE = 0 
      DO 100 I = 1, NRAN
         IF (ALAM.GE.NORMLAMMIN(I).AND.ALAM.LE.NORMLAMMAX(I)) THEN           
             LSM_NORM_RANGE = I
             RETURN
         END IF
 100  CONTINUE 
      RETURN
      END
